## org.red5.server.api.stream.support
Class SimplePlayItem

    java.lang.Object
      org.red5.server.api.stream.support.SimplePlayItem

All Implemented Interfaces:
  IPlayItem

    public class SimplePlayItem

extends Object
implements IPlayItem

Simple playlist item implementation

Constructor Summary
`SimplePlayItem()`

Method Summary
`long` `getLength()` Returns play item length in milliseconds
`IMessageInput` `getMessageInput()` Returns IMessageInput object.
`IMessageInput` `getMsgInput()` Alias for getMessageInput
`String` `getName()` Returns item name
`long` `getSize()` Returns size in bytes
`long` `getStart()` Returns boolean value that specifies whether item can be played
`void` `setLength(long length)` Setter for length
`void` `setMsgInput(IMessageInput msgInput)` Setter for message input
`void` `setName(String name)` Setter name
`void` `setSize(long size)` Set the size in bytes
`void` `setStart(long start)` Setter for start.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePlayItem

    public SimplePlayItem()

Method Detail

### getLength

    public long getLength()

  Returns play item length in milliseconds

  Specified by:
    `getLength` in interface `IPlayItem`
  Returns:
    Play item length in milliseconds

### getMessageInput

    public IMessageInput getMessageInput()

  Returns IMessageInput object. IMessageInput is an endpoint for a consumer to connect.

  Specified by:
    `getMessageInput` in interface `IPlayItem`
  Returns:
    IMessageInput object

### getName

    public String getName()

  Returns item name

  Specified by:
    `getName` in interface `IPlayItem`
  Returns:
    item name

### getStart

    public long getStart()

  Returns boolean value that specifies whether item can be played

  Specified by:
    `getStart` in interface `IPlayItem`
  Returns:
    start time

### getMsgInput

    public IMessageInput getMsgInput()

  Alias for getMessageInput

  Returns:
    Message input source

### setMsgInput

    public void setMsgInput(IMessageInput msgInput)

  Setter for message input

  Parameters:
    `msgInput` - Message input

### setLength

    public void setLength(long length)

  Setter for length

  Parameters:
    `length` - Item length.

### getSize

    public long getSize()

  Returns size in bytes

  Specified by:
    `getSize` in interface `IPlayItem`
  Returns:
    size in bytes

### setSize

    public void setSize(long size)

  Set the size in bytes

  Parameters:
    `size` - size in bytes

### setName

    public void setName(String name)

  Setter name

  Parameters:
    `name` - Item name

### setStart

    public void setStart(long start)

  Setter for start.

  Parameters:
    `start` - Start position.

Copyright © 2006-2010 The Red5 Project